package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type AssetCount struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	DefId      string             `bson:"defId,omitempty" json:"defId"`
	Count      int                `bson:"count,omitempty" json:"count"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}

type AssetCountV0 struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	DefId      string             `bson:"defId,omitempty" json:"defId"`
	Count      int                `bson:"count,omitempty" json:"count"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	StepIndex  int                `bson:"count,omitempty" json:"stepIndex"`
}

type AssetEvent struct {
	DefId string
	DbId  string // 哪个资产库的统计表
	Api   string
}
